#pragma once

class CMemoSendDlg;
class FileUploadController;

class SendMemoController
{
public:
	SendMemoController(CMemoSendDlg *pSendDialog);
	~SendMemoController(void);

	void EnableSend();
	void DisableSend();
	void UploadFile(const CString& strFile);
	void UploadComplete( int index );
	void SetFileAttachIndex(int index);
	void SetFileAttachID(const std::string& attachID);

	bool Delete(int serverIndex, trid_t *ptrid);

	int GetFileAttachIndex();

	const std::wstring GetFileAttachID();
	
private:
	CMemoSendDlg* m_pSendDialog;
	FileUploadController *m_pFileUploadController;
};
